OnlinePay API
V2
V1
V2
V1
  1. Payout
  • Introduction
    • Introduction
    • How to Start
    • Country Code
    • Country Info
    • Currency Code
    • Error Code
    • Transfer Order Info Type
    • Transfer Order File Type
    • Per Bank
    • Spei Bank
    • Vietnam Bank
    • V2 Signature Specification
  • Payin
    • Credit Card API
      POST
    • Alipay API
      POST
    • GCash API
      POST
    • WeChat API
      POST
    • PIX API
      POST
    • Crypto API
      POST
    • Union Pay API
      POST
    • SPEI API
      POST
    • SEPA API
      POST
    • Per Transfer API
      POST
    • Cash App API
      POST
    • Google Pay API
      POST
    • Apple Pay API
      POST
    • MONO API
      POST
    • Vietnam Bank API
      POST
    • CheckOut API
      POST
    • CheckOut Payment API
      POST
    • OnRamps API
      GET
  • Payout
    • PER Transfer Payout API
      POST
    • Checkout Payout API
      POST
    • Card Payout API
      POST
    • Bank Account Payout API
      POST
    • PIX Payout API
      POST
    • PER Transfer Payout API
      POST
    • SPEI Payout API
      POST
    • CashApp Payout API
      POST
    • Checkout Payout API
      POST
    • Query Payout Order API
      POST
    • Upload SEPA File API
      POST
    • Supplement Payee Info API
      POST
  • Refund
    • Refund API
  • Card
    • Create Cardholder API
    • Create Card API
    • Active Card API
    • Freeze Card API
    • UnFreeze Card API
    • Cancel Card API
    • TopUp Card API
    • Card Withdraw API
    • Query Card Balance API
    • Query Card Info API
    • Query Card Transaction API
    • Add VPA Scene API
    • UploadFile API
  • Query
    • Query Payout Order API
    • Query Order API
    • QueryOrderList API
    • QueryBalance API
    • QueryOrderAmount API
  • Notify
    • Pay Notify WebHook API
    • Card Notify WebHook API
    • Refund Notify WebHook API
    • Chargeback Notify WebHook API
  • Schemas
    • UserArray
    • CheckStandV2Request
    • ApiResponse
    • PayoutCheckStandV2Request
    • QueryPayOutV2Request
    • V2EncryptedEnvelope
    • V2EncryptedNotification
    • PaymentNotificationPayload
    • ProductParams
    • Category
    • PayoutCheckStandV2Response
    • PaymentNotification
    • QueryPayOutV2Response
    • PayoutQueryResult
    • Pet
    • OrderQueryV2Data
    • PayoutCheckStandV2Data
    • CheckStandV2Response
    • RefundNotificationPayload
    • CheckStandV2Data
    • ChargebackNotificationPayload
    • Tag
    • OrderQueryV2Request
    • OrderQueryV2Response
    • Order
    • User
  1. Payout

Supplement Payee Info API

Testing Env
https://testpay.onlinepay.ai
Testing Env
https://testpay.onlinepay.ai
POST
/v2/supplementPayeeInfo
Use this API to supplement the payee IBAN and BIC/SWIFT information before initiating or completing a virtual account payout. The request must pass V2 RSA256 signature verification.

Request

Header Params

Body Params application/jsonRequired

Examples
Complete request body for supplementing payee bank details.
{
    "merNo": "104001001",
    "tradeNo": "T2026060500001",
    "accountNum": "GB29NWBK60161331926819",
    "bicSwift": "NWBKGB2L",
    "sign": "U0lHTkFUVVJFX0JBU0U2NF9TVFJJTkc=",
    "signType": "RSA256",
    "version": "V2.0.0"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://testpay.onlinepay.ai/v2/supplementPayeeInfo' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiJ9...' \
--header 'lang: en-US' \
--header 'Content-Type: application/json' \
--data '{
    "merNo": "104001001",
    "tradeNo": "T2026060500001",
    "accountNum": "GB29NWBK60161331926819",
    "bicSwift": "NWBKGB2L",
    "sign": "U0lHTkFUVVJFX0JBU0U2NF9TVFJJTkc=",
    "signType": "RSA256",
    "version": "V2.0.0"
}'

Responses

🟢200
application/json
The request has been processed. Check the response code to determine the business result.
Bodyapplication/json

Examples
{
    "code": "00000",
    "message": "SUCCESS"
}
Modified at 2026-06-05 09:17:38
Previous
Upload SEPA File API
Next
Refund API
Built with